aboutsummaryrefslogtreecommitdiffstats
path: root/syncthing/rc.syncthing
diff options
context:
space:
mode:
authordanix <danix@danix.xyz>2026-03-31 09:34:59 +0200
committerdanix <danix@danix.xyz>2026-03-31 09:34:59 +0200
commite51dcfd426d0bb475a3d12eed8d54a46b0f17444 (patch)
tree153619df5af5632abd399a8baa51b7b9eb47a828 /syncthing/rc.syncthing
parente935183ec65007f4ae24ac41aab8dfbd15e28af4 (diff)
downloadmy-slackbuilds-e51dcfd426d0bb475a3d12eed8d54a46b0f17444.tar.gz
my-slackbuilds-e51dcfd426d0bb475a3d12eed8d54a46b0f17444.zip
Added some of the packages I maintain on my personal system
Diffstat (limited to 'syncthing/rc.syncthing')
-rw-r--r--syncthing/rc.syncthing53
1 files changed, 53 insertions, 0 deletions
diff --git a/syncthing/rc.syncthing b/syncthing/rc.syncthing
new file mode 100644
index 0000000..730e638
--- /dev/null
+++ b/syncthing/rc.syncthing
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# Copyright 2016, Sebastian Arcus, UK
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+SYNCTHING_USER="syncthing"
+SYNCTHING="/usr/bin/syncthing"
+CONFDIR="/var/lib/syncthing/config"
+LOGFILE="/var/log/syncthing/syncthing.log"
+LOGFLAGS="11"
+SYNCTHING_ARGS="-no-browser"
+
+case "$1" in
+ stop)
+ if /usr/bin/pgrep -f /usr/bin/syncthing >/dev/null; then
+ echo "Stop Syncthing..."
+ killall syncthing 2>/dev/null
+ else
+ echo "Syncthing is not running..."
+ exit 1
+ fi
+ ;;
+ start)
+ echo "Start Syncthing..."
+ su - $SYNCTHING_USER -c "$SYNCTHING -home=$CONFDIR -logfile=$LOGFILE -logflags=$LOGFLAGS $SYNCTHING_ARGS" 1>/dev/null 2>&1 &
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 { start | stop | restart }" >&2
+ exit 1
+ ;;
+esac